const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v3_8 = arg1[48];
    v4_b = *((v3_8 - 16));
    st6_global_2d_to_2d_local = z.z # st6;
    st5_global_2d_to_2d_local = z.y # st5;
    st4_global_2d_to_2d_local = z.x # st4;
    v2_1a = fabsl(z.y + z.x + z.z);
    v4_1c = v3_8 - 24;
    *z.x = v2_1a * *v4_1c + v4_b;
    v2_29 = fabsl(st6_global_2d_to_2d_local - st4_global_2d_to_2d_local - st5_global_2d_to_2d_local) # bp+29;
    *z.y = v4_b + v2_29 * *v4_1c;
    v2_38 = fabsl(st5_global_2d_to_2d_local - st4_global_2d_to_2d_local - st6_global_2d_to_2d_local) # bp+38;
    *z.z = v4_b + v2_38 * *v4_1c;
    v4_41 = st4_global_2d_to_2d_local - st5_global_2d_to_2d_local # bp+41;
    z.z[8] = v4_b + fabsl(v4_41 - st6_global_2d_to_2d_local) * *v4_1c;
    v3_4f = arg1 + 40;
    v4_4f = *v3_4f;
    st6_global_2d_to_2d_local = v4_4f;
    v3_52 = arg1 + 32 # bp+52;
    v4_52 = *v3_52 # bp+52;
    st5_global_2d_to_2d_local = v4_52;
    v3_55 = arg1 + 24 # bp+55;
    v4_55 = *v3_55 # bp+55;
    st4_global_2d_to_2d_local = v4_55;
    *v3_55 = v4_b + fabsl(v4_52 + v4_55 + v4_4f) * *v4_1c;
    v2_6e = fabsl(st6_global_2d_to_2d_local - st4_global_2d_to_2d_local - st5_global_2d_to_2d_local);
    *v3_52 = v4_b + v2_6e * *v4_1c;
    v2_7e = fabsl(st5_global_2d_to_2d_local - st4_global_2d_to_2d_local - st6_global_2d_to_2d_local);
    *v3_4f = v4_b + v2_7e * *v4_1c;
    v7_8e = fabsl(st4_global_2d_to_2d_local - st5_global_2d_to_2d_local - st6_global_2d_to_2d_local) * *v4_1c;
    *((arg1 - 56)) = v7_8e + v4_b;
    return z.x;


	}